
Katello - Bug #23822

docker v2 api - allow repositories with slashes in routes

06/05/2018 06:29 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Thomas McKay   

Category: Container   

Target version: Katello 3.8.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/742
Description

docker pull devel.example.com/openshift/origin:v3.9.0 fails with no route found

Associated revisions

Revision 39817828 - 06/13/2018 04:36 PM - Thomas McKay

fixes #23822 - allow slashes in registry repo routes

History

#1 - 06/05/2018 06:31 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/7422 added

#2 - 06/13/2018 05:01 PM - Thomas McKay

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|39817828cd4dd477663ed04a0e7c1a3f4ae21a67.
